
/* General [ START ]*/

.notouch {
    pointer-events: none;
    touch-action: none;
    user-select: none;
}

/* General [ END ]*/

/* MainBTN [ START ]*/
.MainBTN, .MainBTNDisabled {
    align-items: center;
    background-color: var(--main_background_color);
    background: linear-gradient(316deg, var(--btn_background_color_t1), var(--btn_background_color_t2));
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: .25rem;
    box-shadow: rgba(0, 0, 0, 0.02) 0 1px 3px 0;
    box-sizing: border-box;
    color: white;
    display: inline-flex;
    font-size: 16px;
    font-weight: 600;
    font-family: 'Montserrat', sans-serif;
    justify-content: center;
    /*line-height: 1.25;
    min-height: 3rem;
    padding: calc(.875rem - 1px) calc(1.5rem - 1px);*/
    padding : 7px;
    text-decoration: none;
    transition: all 250ms;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: baseline;
    width: auto;
    text-align: center;
    transition: --btn_background_color_t2 1s, --btn_background_color_t1 1s, all 250ms;
}

.MainBTNGreen {
    background: linear-gradient(316deg, var(--btn_background_color_t1_green), var(--btn_background_color_t2_green));
    transition: --btn_background_color_t2_green 1s, --btn_background_color_t1_green 1s, all 250ms;
}

.MainBTNGreen:hover,.MainBTNGreen:focus {
    border-color: rgba(0, 0, 0, 0.15);
    box-shadow: rgba(0, 0, 0, 0.1) 0 4px 12px;
}

.MainBTN {
    cursor: pointer;
}

.smallMainBTN {
    padding: 5px;
    height: fit-content;
    min-height: fit-content;
    display: flex;
    font-size: 12px;
}

.filterMainBTN {
    padding: 5px;
    height: fit-content;
    min-height: fit-content;
    display: flex;
    font-size: 16px;
}


.MainBTN:hover,.MainBTN:focus {
    border-color: rgba(0, 0, 0, 0.15);
    box-shadow: rgba(0, 0, 0, 0.1) 0 4px 12px;
}

.MainBTN:hover {
    transform: translateY(-1px);
}

.MainBTN:active {
    background-color: #F0F0F1;
    border-color: rgba(0, 0, 0, 0.15);
    box-shadow: rgba(0, 0, 0, 0.06) 0 2px 4px;
    color: rgba(0, 0, 0, 0.65);
    transform: translateY(0);
}

/* - de 800px */
@media (max-width: 800px) {
    .MainBTN {
        font-size: 14px;
    }
}

/* - de 600px */
@media (max-width: 600px) {
    .MainBTN {
        font-size: 13px;
    }
}

/* - de 500px */
@media (max-width: 500px) {
    .MainBTN {
        font-size: 12px;
    }
}

/* - de 400px */
@media (max-width: 400px) {
    .MainBTN {
        font-size: 11px;
    }
}

/* MainBTN [ END ]*/

/* Select [ START ] */

select {
    padding: 5px;
    border-radius: 8px;
    font-size: 15px;
    border: 1px solid silver;
    cursor:pointer;
    font-family: 'Geist Regular', sans-serif;
}

/* Select [ END ] */

/* Input [ START ] */

input {
    padding: 5px;
    width: calc(100% - 16px); /* 8px x 2 */
    border-radius: 8px;
    font-size: 15px;
    border: 1px solid silver;
    font-family: 'Geist Regular', sans-serif;
}

input[type='checkbox'] {
    width: 50px;
    height: 50px;
}

.inputsearch {
    width: fit-content;
    font-size: 18px;
    height: 16px;
    padding: 5px;
    border: 2px solid #e3e3e3;
    border-radius: 2px;
}

@media (max-width:800px) {

    .inputsearch {
        max-width:100px;
    }
}

input:required:valid {
    border: 2px solid var(--fontcolorsuccess);
}

/* Input [ END ] */
    
/* Formation Card [ START ] */
.fcardContainer {
    display: flex;
    gap: 10px;
}

.fcard {
    width: 190px;
    background: #f6f6ff;
    padding: .4em;
    border-radius: 6px;
    cursor: pointer;
}

.fcard-img {
    background-color: rgb(236, 236, 236);
    width: 100%;
    height: 130px;
    border-radius: 6px 6px 0 0;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.fcard-check {
    width: 40px;
    height: 40px;
    min-width: 40px;
    min-height: 40px;
    cursor:pointer;
    position: absolute;
    top: 5px;
    right: 5px;
    margin: 0;
}

.fcard-check-Container {
    position: relative;
    z-index: 1;
}

.fcard-category {
    text-decoration:none;
    text-transform: uppercase;
    font-size: 0.7em;
    font-weight: 600;
    color: rgb(63, 121, 230);
    padding: 10px 7px 0;
}

.fcard-category:hover {
    cursor: pointer;
}

.fcard-heading {
    font-weight: 600;
    color: rgb(88, 87, 87);
    padding: 7px;
}

.fcard-heading:hover {
    cursor: pointer;
}

.fcard-smallcontainer {
    padding-top:20px;
    display : flex; 
    justify-content: space-between; 
    align-items: center;
}

.fcard-author {
    display : flex; 
    align-items: center;
    gap: 5px;
    color: gray;
    font-weight: 400;
    font-size: 11px;
}

.fcard-authorname {
    font-weight: 600;
}

.fcard-authorname:hover {
    cursor: pointer;
}

.fcard-price, .fcard-full-price {
    font-weight: 600;
    font-size: 11px;
    color: var(--fontcolor1);
}

.baselink {
    text-decoration:none;
}

/* Formation Card [ END ] */

/* form [ START ] */

.form-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

form {
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: center;
    align-items: flex-start;
    gap: 20px;
    /*padding: 20px 0px 20px 0px;*/
}


/* form [ END ] */

/* Main modal pop-up [ START ] */

.modal {
    position: fixed;
    background: rgba(0, 0, 0, 0.314);
    height: 100%;
    width: 100%;
    top: 0px;
    left: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 50;
    transition: 0.2s;
}

.modal-content {
    padding: 20px;
    background: white;
    display: flex;
    flex-direction: column;
    transition: 0.2s;
    scale: 0;
    max-width:80%;
    max-width: 1300px;
    box-shadow: 0px 0px 10px 5px #50505050;
    max-height: 85%;
    overflow-x: hidden;
    overflow-y: scroll;
}

.modal-close-btn {
    box-shadow: black 0px 0px 10px -3px;
    position: fixed;
    top: 0;
    right: 0;
    background: white;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    padding: 10px;
    margin: 20px;
    display: flex;
    font-size: 30px;
    font-weight: 900;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: 0.2s;
    scale: 0;
    z-index: 1;
}

.modal-title {
    text-align:center;
    font-size: 18px;
}

.modal-close-btn:hover {
    scale: 1.05!important;
}

/* Main PopUp [ END ] */

/* Hover Message [ START ] */
    /* relevant styles */
    .img_wrap {
        position: relative;
        cursor:pointer;
    }

    .img_description {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        margin:0;
        background: rgba(50, 50, 50, 0.25);
        color: #fff;
        visibility: hidden;
        opacity: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        border:2px solid #00000020;
        text-align: center;
        /* transition effect. not necessary */
        transition: opacity .2s, visibility .2s;
    }

    .img_wrap:hover .img_description {
        visibility: visible;
        opacity: 1;
    }
/* Hover Message [ END ] */


/* Icons [ START ] */

.icon-container {
    background:white;
    border-radius:50%;
    width:40px;
    min-width:40px;
    height:40px;
    min-height:40px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor:pointer;
}

.icon-container:hover {
    background:#f3f3f3;
}

.icon-img {
    width:100%;
    height:100%;
    max-width:20px;
    max-height:20px;
}

/* Icons [ END ] */

/* dropdown-menu [ START ] */

.dropdown-menu-container {
    position: relative;
}

.dropdown-menu {
    display:none;
    margin-top:8px;
    background:#ffffff;
    position: absolute;
    padding: 10px;
}

.dropdown-ul {
    display: flex;
    flex-direction: column;
    list-style: none;
    padding: 0px;
    margin:0;
}

.dropdown-li {
    text-wrap: nowrap;
}

.dropdown-a {
    text-decoration:none;
    color: var(--basefontcolor);
}

.dropdown-a:hover {
    color: var(--basefontcolorhover);

}

/* dropdown-menu [ END ] */


/* Texte & Title [ START ] */
h1 {
    font-size:50px;
    margin: 0;
}

h2 {
    margin: 0;
}

h3 {
    margin: 0;
}

h4 {
    margin: 0;
}

h5 {
    margin: 0;
}

h6 {
    margin: 0;
}

p {
    margin: 0;
}

.size-1 {
font-size:25px;
}

.size-2 {
font-size:21px;
}

.size-3 {
font-size:18px;
}

.size-4 {
font-size:16px;
}

.size-5 {
font-size:12px;
}

.size-6 {
font-size:8px;
}

.bold {
font-weight: bold;
}

.width100 {
    width: 100%;
}

/* Texte & Title [ END ] */




/* Dropdown Menu [ START ] */

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    min-width: 160px;
    z-index: 1;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    border-radius: 10px;
}

.dropdown-content > :first-child {
    border-top-right-radius: 10px;
}

.dropdown-content > :last-child {
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
}

.dropdown-content button {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    background-color: white;
    border: none;
    width: 100%;
    text-align: left;
    transition: 0.2s;
}

.dropdown-content button:hover {
    background-color: #f1f1f1;
}

.show {
    display: block;
}

.DropdownBTN {
    cursor: pointer;
}

/* Dropdown Menu [ END ] */

/* Custom Filters [ START ] */

.custom_filter_column.ASC:after {
    border-width: 0 8px 10px 8px;
    border-color: transparent transparent var(--blue1) transparent;
}

.custom_filter_column.DESC:after {
    border-width: 10px 8px 0 8px;
    border-color: var(--blue1) transparent transparent transparent;
}

.custom_filter_column.DESC:after, .custom_filter_column.ASC:after
{
    content: '';
    margin-left: 5px;
    width: 0;
    height: 0;
    border-style: solid;
}

/* Custom Filters [ END ] */


/* Global Classes [ START ] */

.nomargin {
    margin: 0;
}

.nopadding {
    padding: 0;
}

.flex {
    display: flex;
}

.flex_row {
    display: flex;
    flex-direction: row;
}

.flex_column {
    display: flex;
    flex-direction: column;
}

.gap5 {
    gap: 5px;
}

.gap10 {
    gap: 10px;
}

.gap15 {
    gap: 15px;
}

.gap20 {
    gap: 20px;
}

.gap25 {
    gap: 25px;
}

.center_text {
    text-align: center;
}

/* Global Classes [ END ] */